Page MenuHomePhabricator

Max-width for overlays (search, edit, talk, save)
Closed, ResolvedPublic5 Estimated Story Points

Description

Minerva on desktop
Also,
T96317 Give header a max-width so that it is more connected to content on tablet + desktop
T96332 Max width for special pages (watchlist, nearby)

Set max width for search, talk, edit and save pages to 893 px. (UI should be full width until it reaches 893 px)
Change Edit, Save and Talk page primary buttons to use standard MW-UI buttons on both tablet and phone sized screens

Search

search-04.png (1×2 px, 329 KB)

Edit, Talk

Screenshot_2015-04-16_18.07.16.png (1×2 px, 362 KB)

Event Timeline

KHammerstein raised the priority of this task from to Needs Triage.
KHammerstein updated the task description. (Show Details)
KHammerstein renamed this task from Search results max-width to Max-width for overlays (search, talk).Apr 17 2015, 12:39 AM
KHammerstein updated the task description. (Show Details)
KHammerstein set Security to None.
KHammerstein renamed this task from Max-width for overlays (search, talk) to Max-width for overlays (search, edit, talk).Apr 17 2015, 12:50 AM

@KHammerstein: You were right. The 1000 px number is the number in the CSS but then there's padding applied etc etc. 893 is the calculated max width of the content on a tablet.

KHammerstein updated the task description. (Show Details)
KHammerstein updated the task description. (Show Details)
KHammerstein renamed this task from Max-width for overlays (search, edit, talk) to Max-width for overlays (search, edit, talk, save).May 6 2015, 6:28 PM
KHammerstein updated the task description. (Show Details)
KLans_WMF renamed this task from Max-width for overlays (search, edit, talk, save) to (5) Max-width for overlays (search, edit, talk, save).May 6 2015, 6:28 PM
KLans_WMF renamed this task from (5) Max-width for overlays (search, edit, talk, save) to Max-width for overlays (search, edit, talk, save).
KLans_WMF edited a custom field.

Change 210612 had a related patch set uploaded (by Bmansurov):
Make overlays center-aligned similar to the content

https://gerrit.wikimedia.org/r/210612

Change 210612 merged by jenkins-bot:
Alpha, Beta: Make overlays center-aligned

https://gerrit.wikimedia.org/r/210612